=== modified file 'lib/canonical/launchpad/javascript/translations/translations.js'
--- lib/canonical/launchpad/javascript/translations/translations.js	2009-12-17 15:47:26 +0000
+++ lib/canonical/launchpad/javascript/translations/translations.js	2009-12-17 16:48:18 +0000
@@ -210,10 +210,10 @@
     Y.all('.not-preferred-language').each(toggle_node_visibility);
     var toggle_button = e.currentTarget;
     if (toggle_button.hasClass('all-languages-visible')) {
-      toggle_button.setContent('View All Languages');
+      toggle_button.setContent('View all languages');
       toggle_button.removeClass('all-languages-visible');
     } else {
-      toggle_button.setContent('View Only Preferred Languages');
+      toggle_button.setContent('View only preferred languages');
       toggle_button.addClass('all-languages-visible');
     }
 };

=== modified file 'lib/lp/translations/templates/object-pots.pt'
--- lib/lp/translations/templates/object-pots.pt	2009-07-24 11:25:36 +0000
+++ lib/lp/translations/templates/object-pots.pt	2009-12-17 16:48:18 +0000
@@ -81,10 +81,10 @@
         <div tal:replace="structure potemplate/@@+preferred-chart" />
 
         <div align="right">
-          [ <a href="/+editmylanguages">Choose Preferred Languages...</a> 
+          [ <a href="/+editmylanguages">Choose preferred languages...</a> 
             &mdash;
             <a tal:attributes="href potemplate/fmt:url">
-              View Template &amp; All Languages...</a> 
+              View template &amp; all languages...</a> 
           ]
         </div>
 

=== modified file 'lib/lp/translations/templates/translations-macros.pt'
--- lib/lp/translations/templates/translations-macros.pt	2009-12-17 12:36:15 +0000
+++ lib/lp/translations/templates/translations-macros.pt	2009-12-17 16:48:18 +0000
@@ -157,10 +157,11 @@
 
 <metal:languages-table-actions define-macro="languages-table-actions">
   <div align="right">
-    [ <a href="/+editmylanguages">Choose Preferred Languages...</a>
-      &mdash;
-      <a href="#" id="toggle-languages-visibility">
-         View All Languages</a>
+    [ <a href="/+editmylanguages">Choose preferred languages...</a>
+      <tal:has-preferred condition="view/translatable_languages">&mdash;
+        <a href="#" id="toggle-languages-visibility">
+          View all languages</a>
+      </tal:has-preferred>
     ]
    </div>
 </metal:languages-table-actions>

=== modified file 'lib/lp/translations/windmill/tests/test_serieslanguages.py'
--- lib/lp/translations/windmill/tests/test_serieslanguages.py	2009-12-17 12:08:33 +0000
+++ lib/lp/translations/windmill/tests/test_serieslanguages.py	2009-12-17 16:48:18 +0000
@@ -63,7 +63,7 @@
         # and only user preferred langauges are displayed
         self.client.asserts.assertProperty(
             id=u'toggle-languages-visibility',
-            validator='text|View All Languages')
+            validator='text|View all languages')
         self._assert_languages_visible({
             u'Catalan': True,
             u'Spanish': True,
@@ -75,7 +75,7 @@
         self._toggle_languages_visiblity()
         self.client.asserts.assertProperty(
             id=u'toggle-languages-visibility',
-            validator='text|View Only Preferred Languages')
+            validator='text|View only preferred languages')
         # All languages should be visible now
         self._assert_languages_visible({
             u'Catalan': True,

